## SLPSrvTypeCallback

### `Declaration`

`typedef SLPBoolean SLPSrvTypeCallback( SLPHandle hslp,`
`const char* srvtypes,`
`SLPError errcode,`
`void* cookie )`

### Description

The `SLPSrvTypeCallback` type is the type of the callback function passed as a parameter to the `SLPFindSrvTypes()` function. If the hslp parameter was opened asynchronously, the results returned through the callback may be uncollated. If the hslp handle parameter was opened synchronously, then the results will be collated to remove duplicates.

### Parameters

`hslp` | The language specific `SLPHandle` that was passed in to the `SLPFindSrvTypes()` function.
`srvtypes` | Pointer to a comma separated list of service types. See Syntax for more information on service type syntax.
`errcode` | An error code indicating if an error occurred during the operation. The callback should check this error code before processing the parameters.
`cookie` | The same cookie that was passed as a parameter to the `SLPFindSrvTypes()` call

### Returns

The callback should return `SLP_TRUE` if more data is desired. The callback may continue to return `SLP_TRUE` until it is called with an errcode of `SLP_LAST_CALL`. If no more data is requested the callback should return `SLP_FALSE`.

### Status

OpenSLP 0.6.0 | SLPSrvTyperCallback functions are not called because SLPFindSrvTypes() is not implemented

### See Also

Syntax, Callbacks